OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPLCAF
MDataStd

# MDataStd_ExpressionStorageDriver Class Reference

`#include <MDataStd_ExpressionStorageDriver.hxx>`

Inheritance diagram for MDataStd_ExpressionStorageDriver:

[legend]

## Public Member Functions
Standard_EXPORT | MDataStd_ExpressionStorageDriver (const Handle(CDM_MessageDriver)&theMessageDriver)
Standard_EXPORT Standard_Integer | VersionNumber () const
| Returns the version number from which the driver is available: 0. .
Standard_EXPORT Handle_Standard_Type | SourceType () const
| Returns the type: Integer from TDataStd. .
Standard_EXPORT Handle_PDF_Attribute | NewEmpty () const
| Creates a new attribute from PDF. .
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&Source, const Handle(PDF_Attribute)&Target, const Handle(MDF_SRelocationTable)&RelocTable) const
| Translate the contents of <asource> and put it into <atarget>, using the relocation table <areloctable> to keep the sharings. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT MDataStd_ExpressionStorageDriver::MDataStd_ExpressionStorageDriver | ( | const Handle(CDM_MessageDriver)& | theMessageDriver | ) |

## Member Function Documentation

Standard_EXPORT const MDataStd_ExpressionStorageDriver::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MDF_ASDriver.

Standard_EXPORT Handle_PDF_Attribute MDataStd_ExpressionStorageDriver::NewEmpty | ( |  | ) | const`[virtual]`

| Implements MDF_ASDriver.

Standard_EXPORT void MDataStd_ExpressionStorageDriver::Paste | ( | const Handle(TDF_Attribute)& | Source,
|  | const Handle(PDF_Attribute)& | Target,
|  | const Handle(MDF_SRelocationTable)& | RelocTable
| ) | const`[virtual]`

| Implements MDF_ASDriver.

Standard_EXPORT Handle_Standard_Type MDataStd_ExpressionStorageDriver::SourceType | ( |  | ) | const`[virtual]`

| Implements MDF_ASDriver.

Standard_EXPORT Standard_Integer MDataStd_ExpressionStorageDriver::VersionNumber | ( |  | ) | const`[virtual]`

| Implements MDF_ASDriver.

The documentation for this class was generated from the following file:

- MDataStd_ExpressionStorageDriver.hxx